org.apache.avro

## Enum Schema.Type

- java.lang.Object
- - java.lang.Enum<Schema.Type>
  - - org.apache.avro.Schema.Type

All Implemented Interfaces:
  Serializable, Comparable<Schema.Type>

Enclosing class:
  Schema

    public static enum Schema.Type
    extends Enum<Schema.Type>

The type of a schema.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY`
`BOOLEAN`
`BYTES`
`DOUBLE`
`ENUM`
`FIXED`
`FLOAT`
`INT`
`LONG`
`MAP`
`NULL`
`RECORD`
`STRING`
`UNION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`static Schema.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Schema.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RECORD

    public static final Schema.Type RECORD

#### ENUM

    public static final Schema.Type ENUM

#### ARRAY

    public static final Schema.Type ARRAY

#### MAP

    public static final Schema.Type MAP

#### UNION

    public static final Schema.Type UNION

#### FIXED

    public static final Schema.Type FIXED

#### STRING

    public static final Schema.Type STRING

#### BYTES

    public static final Schema.Type BYTES

#### INT

    public static final Schema.Type INT

#### LONG

    public static final Schema.Type LONG

#### FLOAT

    public static final Schema.Type FLOAT

#### DOUBLE

    public static final Schema.Type DOUBLE

#### BOOLEAN

    public static final Schema.Type BOOLEAN

#### NULL

    public static final Schema.Type NULL

### Method Detail

#### values

    public static Schema.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Schema.Type c : Schema.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Schema.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()